Annotation of elwix/build_3thparty.sh, revision 1.1.2.2

1.1.2.1   misho       1: #!/bin/sh
                      2: #
                      3: # ELWIX build script for cross compiling 3th party software
                      4: #
                      5: # (C) AITNET ltd - Sofia/Bulgaria <office@aitnet.org>
                      6: #    by Michael Pounov <misho@elwix.org>
                      7: #
1.1.2.2 ! misho       8: # $Id: build_3thparty.sh,v 1.1.2.1 2012/02/21 16:15:14 misho Exp $
1.1.2.1   misho       9: #
                     10: 
                     11: [ -r ./config/rc.elwix ] && . ./config/rc.elwix
                     12: if [ X"${ELWIX_IS_CONFIGURED}" != X"YES" ]; then
                     13:        echo
                     14:        echo "ELWIX project is not configured !?!"
                     15:        echo
                     16:        exit 1
                     17: fi
                     18: 
                     19: if [ ! -d $BSDSRC ]; then
                     20:        echo
                     21:        echo "ELWIX project is not configured - missing BSD sources !?!"
                     22:        echo
                     23:        exit 1
                     24: fi
                     25: 
                     26: if [ ! -d $DEST ]; then
                     27:        echo
                     28:        echo "ELWIX project is not configured - missing Dest directory !?!"
                     29:        echo
                     30:        exit 1
                     31: fi
                     32: 
                     33: clean_cross()
                     34: {
                     35:        echo "+++ Clean ELWIX 3th party ..."
                     36: 
                     37:        rm -rf ${PKG}
                     38:        install -d ${PKG}
                     39:        install -d ${PKG}/bin
                     40:        install -d ${PKG}/etc
                     41:        install -d ${PKG}/include
                     42:        install -d ${PKG}/man
                     43:        install -d ${PKG}/lib
                     44:        install -d ${PKG}/libexec
                     45:        install -d ${PKG}/sbin
                     46: }
                     47: 
                     48: compile_3th()
                     49: {
                     50:        echo "+++ Compile ELWIX 3th party ..."
                     51: 
                     52:        cd $CROSS_3TH
                     53:        ./build.sh expat ${CBUILD} ${PKG} ${TARGET_BUILD}
                     54:        [ $? -ne 0 ] && exit 1
                     55:        ./build.sh libevent ${CBUILD} ${PKG} ${TARGET_BUILD}
                     56:        [ $? -ne 0 ] && exit 1
                     57:        ./build.sh libiconv ${CGBUILD} ${PKG} ${TARGET_BUILD}
                     58:        [ $? -ne 0 ] && exit 1
                     59:        ./build.sh pcre ${CBUILD} ${PKG} ${TARGET_BUILD}
                     60:        [ $? -ne 0 ] && exit 1
                     61:        ./build.sh mini_sendmail ${CBUILD} ${PKG} ${TARGET_BUILD}
                     62:        [ $? -ne 0 ] && exit 1
                     63:        ./build.sh choparp ${CBUILD} ${PKG} ${TARGET_BUILD}
                     64:        [ $? -ne 0 ] && exit 1
                     65:        ./build.sh scan_ffs ${CBUILD} ${PKG} ${TARGET_BUILD}
                     66:        [ $? -ne 0 ] && exit 1
                     67:        ./build.sh pciutils ${CGBUILD} ${PKG} ${TARGET_BUILD}
                     68:        [ $? -ne 0 ] && exit 1
                     69:        ./build.sh istgt ${CBUILD} ${PKG} ${TARGET_BUILD}
                     70:        [ $? -ne 0 ] && exit 1
                     71:        ./build.sh rsync ${CBUILD} ${PKG} ${TARGET_BUILD}
                     72:        [ $? -ne 0 ] && exit 1
                     73:        ./build.sh ttcp ${CBUILD} ${PKG} ${TARGET_BUILD}
                     74:        [ $? -ne 0 ] && exit 1
                     75:        ./build.sh mpd ${CBUILD} ${PKG} ${TARGET_BUILD}
                     76:        [ $? -ne 0 ] && exit 1
1.1.2.2 ! misho      77:        ./build.sh mrouted ${CGBUILD} ${PKG} ${TARGET_BUILD}
        !            78:        [ $? -ne 0 ] && exit 1
1.1.2.1   misho      79:        ./build.sh igmpproxy ${CBUILD} ${PKG} ${TARGET_BUILD}
                     80:        [ $? -ne 0 ] && exit 1
                     81:        ./build.sh sudo ${CBUILD} ${PKG} ${TARGET_BUILD}
                     82:        [ $? -ne 0 ] && exit 1
                     83:        ./build.sh bmon ${CGBUILD} ${PKG} ${TARGET_BUILD}
                     84:        [ $? -ne 0 ] && exit 1
                     85:        ./build.sh mtr ${CBUILD} ${PKG} ${TARGET_BUILD}
                     86:        [ $? -ne 0 ] && exit 1
                     87:        ./build.sh ipguard ${CBUILD} ${PKG} ${TARGET_BUILD}
                     88:        [ $? -ne 0 ] && exit 1
                     89:        ./build.sh smartmontools ${CBUILD} ${PKG} ${TARGET_BUILD}
                     90:        [ $? -ne 0 ] && exit 1
                     91:        ./build.sh sqlite3 ${CBUILD} ${PKG} ${TARGET_BUILD}
                     92:        [ $? -ne 0 ] && exit 1
                     93:        ./build.sh quagga ${CBUILD} ${PKG} ${TARGET_BUILD}
                     94:        [ $? -ne 0 ] && exit 1
                     95:        ./build.sh coova-chilli ${CBUILD} ${PKG} ${TARGET_BUILD}
                     96:        [ $? -ne 0 ] && exit 1
                     97:        ./build.sh iftop ${CBUILD} ${PKG} ${TARGET_BUILD}
                     98:        [ $? -ne 0 ] && exit 1
                     99:        ./build.sh arping ${CBUILD} ${PKG} ${TARGET_BUILD}
                    100:        [ $? -ne 0 ] && exit 1
                    101:        ./build.sh hping ${CGBUILD} ${PKG} ${TARGET_BUILD}
                    102:        [ $? -ne 0 ] && exit 1
                    103:        ./build.sh trafshow ${CBUILD} ${PKG} ${TARGET_BUILD}
                    104:        [ $? -ne 0 ] && exit 1
                    105:        ./build.sh ipsec-tools ${CBUILD} ${PKG} ${TARGET_BUILD}
                    106:        [ $? -ne 0 ] && exit 1
                    107:        ./build.sh dhcp ${CBUILD} ${PKG} ${TARGET_BUILD}
                    108:        [ $? -ne 0 ] && exit 1
                    109:        ./build.sh dhcdrop ${CBUILD} ${PKG} ${TARGET_BUILD}
                    110:        [ $? -ne 0 ] && exit 1
1.1.2.2 ! misho     111:        ./build.sh dhcping ${CBUILD} ${PKG} ${TARGET_BUILD}
        !           112:        [ $? -ne 0 ] && exit 1
1.1.2.1   misho     113:        ./build.sh thttpd ${CBUILD} ${PKG} ${TARGET_BUILD}
                    114:        [ $? -ne 0 ] && exit 1
                    115:        ./build.sh php ${CBUILD} ${PKG} ${TARGET_BUILD}
                    116:        [ $? -ne 0 ] && exit 1
                    117:        cd -
                    118: 
                    119:        echo "ELWIX Platform:${PLATFORM} Version:${VERSION} TargetArch:${TARGET_ARCH}" >${PKG}/elwix.ver
                    120: }
                    121: 
                    122: ### main()
                    123: if ! SnitVer ${PKG}/elwix.ver; then
                    124:        compile_3th
                    125: else
                    126:        echo "Skipped ELWIX 3th party build ..."
                    127: fi
                    128: 
                    129: echo "+++ Complete build ELWIX 3th party"

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>